Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/libgnomecanvas: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Mon, 20 Mar 2017 22:25:39 +0800

http://www.gnome.org/
GNOME Canvas library
---
 testing/libgnomecanvas/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/libgnomecanvas/APKBUILD
diff --git a/testing/libgnomecanvas/APKBUILD b/testing/libgnomecanvas/APKBUILD
new file mode 100644
index 00000000..1f04a76a
--- /dev/null
+++ b/testing/libgnomecanvas/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=libgnomecanvas
+pkgver=2.30.3
+pkgrel=0
+pkgdesc="GNOME Canvas library"
+url="http://www.gnome.org/"
+arch="all"
+license="GPL2"
+makedepends="intltool libart-lgpl-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://download.gnome.org/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="b5bfa2133f5172abd5228d467db4d980dd4ac125cdbf55dcc1d5055dc3330861320c12cccb52ea63ba7f69824504c9d25781cd78001dc7a92b11c6f7e0c550de  libgnomecanvas-2.30.3.tar.bz2"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 20 2017 - 22:25:39 GMT